%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  etwfe
%global packver   0.5.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.0
Release:          1%{?dist}%{?buildtag}
Summary:          Extended Two-Way Fixed Effects

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-marginaleffects >= 0.24.0
BuildRequires:    R-CRAN-tinyplot >= 0.2.0
BuildRequires:    R-CRAN-fixest >= 0.11.2
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-Formula 
Requires:         R-CRAN-marginaleffects >= 0.24.0
Requires:         R-CRAN-tinyplot >= 0.2.0
Requires:         R-CRAN-fixest >= 0.11.2
Requires:         R-stats 
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-Formula 

%description
Convenience functions for implementing extended two-way fixed effect
regressions a la Wooldridge (2021, 2023) <doi:10.2139/ssrn.3906345>,
<doi:10.1093/ectj/utad016>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
